PATCH
/v1/listings/list-items/{listItemId}/automationPATCH /v1/listings/list-items/{listItemId}/automation
Scopes: listings:automation:write
Requires scope: listings:automation:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listItemId | path | integer<int32> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
isAutomated | boolean | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
success | boolean | no | |
listItemId | integer<int32> | no | |
isAutomated | boolean | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PATCH('/v1/listings/list-items/{listItemId}/automation', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);